# eric6.Plugins.CheckerPlugins.CodeStyleChecker.CodeStyleAddBuiltinIgnoreDialog

Module implementing a dialog to enter the data for a built-in assignment to be ignored.

### Global Attributes

None

### Classes

CodeStyleAddBuiltinIgnoreDialog | Class implementing a dialog to enter the data for a built-in assignment to be ignored.

### Functions

None

## CodeStyleAddBuiltinIgnoreDialog

Class implementing a dialog to enter the data for a built-in assignment to be ignored.

### Derived from

QDialog, Ui_CodeStyleAddBuiltinIgnoreDialog

### Class Attributes

None

### Class Methods

None

### Methods

CodeStyleAddBuiltinIgnoreDialog | Constructor
__updateOkButton | Private slot to set the state of the OK button.
getData | Public method to get the entered data.
on_leftEdit_textChanged | Private slot to handle a change of the text of the left side edit.
on_rightEdit_textChanged | Private slot to handle a change of the text of the right side edit.

### Static Methods

None

#### CodeStyleAddBuiltinIgnoreDialog (Constructor)

CodeStyleAddBuiltinIgnoreDialog(parent=None)

Constructor

parent (QWidget)
  reference to the parent widget

#### CodeStyleAddBuiltinIgnoreDialog.__updateOkButton

__updateOkButton()

Private slot to set the state of the OK button.

#### CodeStyleAddBuiltinIgnoreDialog.getData

getData()

Public method to get the entered data.

Returns:
  tuple containing the left and right hand side of the assignment

Return Type:
  tuple of two str

#### CodeStyleAddBuiltinIgnoreDialog.on_leftEdit_textChanged

on_leftEdit_textChanged(txt)

Private slot to handle a change of the text of the left side edit.

txt (str)
  text of the line edit

#### CodeStyleAddBuiltinIgnoreDialog.on_rightEdit_textChanged

on_rightEdit_textChanged(txt)

Private slot to handle a change of the text of the right side edit.

txt (str)
  text of the line edit

Up